<!DOCTYPE html>
<html>

<head>
    <title>{{title}}</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.c
ss" integrity="sha384-
Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <link rel="stylesheet" href="{{ url_for('static',filename='css/main.css')}}" />
</head>

<body>

    <div class="container">


        {% include "includes/banner.html" %}

        <!-- if on login page, dont show nav bar -->
        {% if login == False %}
        {% include "includes/nav.html" %}
        {% endif %}
        {% with messages = get_flashed_messages(with_categories=true)%}
        {% if messages %}
        {% for category, message in messages %}
        <div class="alert alert-{{category}} text-center">
            <p>{{ message }}</p>
        </div>
        {% endfor %}
        {% endif %}
        {% endwith %}
        {% block content %}
        {% endblock %}
    </div>

    <!--back to top button-->
    <button class='bg-dark text-white' onclick="topFunction()" id="myBtn" title="Go to top">Top</button>
    
    <script src="{{ url_for('static',filename='js/back-to-top.js')}}"></script>
    {% include "includes/footer.html" %}

</body>

</html>